item_type + item_id), the author, any follow-up action/status, and an array of attached files. Use from / to to restrict the result to a note-date range.curl --location --globoff 'https://.daftara.com/api2/notes.json?limit=undefined&page=undefined&from=undefined&to=undefined' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'{
"result": "successful",
"code": 200,
"data": [
{
"Note": {
"id": 91,
"item_id": 12,
"item_type": 1,
"date": "2026-06-30 10:00:00",
"staff_id": 0,
"branch_id": null,
"body": "Called the client to confirm.",
"share_with_partner": 0,
"action_id": null,
"status_id": null,
"created": "2026-06-30 10:00:01",
"modified": "2026-06-30 10:00:01",
"NoteAttachment": [
{}
]
}
}
],
"pagination": {
"prev": null,
"next": "/api2/notes/?page=2",
"page": 1,
"page_count": 3,
"total_results": 47
}
}